Version 4.0.26.22 (latest)

### Get information about all active dashboards.

Returns an array of **abbreviated dashboard objects**. Dashboards marked as deleted are excluded from this list.

Get the **full details** of a specific dashboard by id with [dashboard()](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/methods/Dashboard/dashboard)

Find **deleted dashboards** with [search_dashboards()](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/methods/Dashboard/search_dashboards)

## Request

GET /dashboards Datatype Description Request HTTP Request query HTTP Query Expand HTTP Query definition... fields string Requested fields.

## Response

### 200: dashboards

Datatype Description (array) [DashboardBase](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/DashboardBase)\[\] can object Operations the current user is able to perform on this object content_favorite_id string Content Favorite Id content_metadata_id string Id of content metadata description string Description hidden boolean Is Hidden id string Unique Id model [LookModel](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/LookModel) Model Expand LookModel definition... id string Model Id label string Model Label query_timezone string Timezone in which the Dashboard will run by default. readonly boolean Is Read-only refresh_interval string Refresh Interval, as a time duration phrase like "2 hours 30 minutes". A number with no time units will be interpreted as whole seconds. refresh_interval_to_i integer Refresh Interval in milliseconds folder [FolderBase](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/FolderBase) Folder Expand FolderBase definition... name string Unique Name parent_id string Id of Parent. If the parent id is null, this is a root-level entry id string Unique Id content_metadata_id string Id of content metadata created_at string Time the folder was created creator_id string User Id of Creator child_count integer Children Count external_id string Embedder's Id if this folder was autogenerated as an embedding shared folder via 'external_group_id' in an SSO embed login is_embed boolean Folder is an embed folder is_embed_shared_root boolean Folder is the root embed shared folder is_embed_users_root boolean Folder is the root embed users folder is_personal boolean Folder is a user's personal folder is_personal_descendant boolean Folder is descendant of a user's personal folder is_shared_root boolean Folder is the root shared folder is_users_root boolean Folder is the root user folder can object Operations the current user is able to perform on this object title string Dashboard Title user_id string Id of User slug string Content Metadata Slug preferred_viewer string The preferred route for viewing this dashboard (ie: dashboards or dashboards-next) certification_metadata [Certification](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/Certification) Certification metadata Expand Certification definition... certification_status string Certification status: "certified" or "revoked" Valid values are: "certified", "revoked". ui_status string Indicates whether the underlying model is ungoverned user_name string Display name of user who certified the content, derived from user_id notes string Certification notes updated_at string Timestamp of certification

### 400: Bad Request

Datatype Description (object) [Error](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/Error) message string Error details documentation_url string Documentation link

### 404: Not Found

Datatype Description (object) [Error](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/Error) message string Error details documentation_url string Documentation link

### 429: Too Many Requests

Datatype Description (object) [Error](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/Error) message string Error details documentation_url string Documentation link

## Examples

### C#


|---|
| [https://github.com/looker-open-source/sdk-codegen/blob/main/csharp/rtl.Tests/SdkMethodsTests.cs](https://github.com/looker-open-source/sdk-codegen/blob/main/csharp/rtl.Tests/SdkMethodsTests.cs#L33 "https://github.com/looker-open-source/sdk-codegen/blob/main/csharp/rtl.Tests/SdkMethodsTests.cs") |

### Swift


|---|
| [https://github.com/looker-open-source/sdk-codegen/blob/main/examples/swift/sample-swift-sdk/sample-swift-sdk/Dashboards.swift](https://github.com/looker-open-source/sdk-codegen/blob/main/examples/swift/sample-swift-sdk/sample-swift-sdk/Dashboards.swift#L28 "https://github.com/looker-open-source/sdk-codegen/blob/main/examples/swift/sample-swift-sdk/sample-swift-sdk/Dashboards.swift") |
| [https://github.com/looker-open-source/sdk-codegen/blob/main/swift/looker/Tests/lookerTests/methodsTests.swift](https://github.com/looker-open-source/sdk-codegen/blob/main/swift/looker/Tests/lookerTests/methodsTests.swift#L128 "https://github.com/looker-open-source/sdk-codegen/blob/main/swift/looker/Tests/lookerTests/methodsTests.swift") |
| [https://github.com/looker-open-source/sdk-codegen/blob/main/swift/looker/Tests/lookerTests/smokeTests.swift](https://github.com/looker-open-source/sdk-codegen/blob/main/swift/looker/Tests/lookerTests/smokeTests.swift#L247 "https://github.com/looker-open-source/sdk-codegen/blob/main/swift/looker/Tests/lookerTests/smokeTests.swift") |

### TypeScript


|---|
| [https://github.com/looker-open-source/sdk-codegen/blob/main/examples/typescript/utils.ts](https://github.com/looker-open-source/sdk-codegen/blob/main/examples/typescript/utils.ts#L57 "https://github.com/looker-open-source/sdk-codegen/blob/main/examples/typescript/utils.ts") |
| [https://github.com/looker-open-source/sdk-codegen/blob/main/packages/sdk-node/test/methods.spec.ts](https://github.com/looker-open-source/sdk-codegen/blob/main/packages/sdk-node/test/methods.spec.ts#L701 "https://github.com/looker-open-source/sdk-codegen/blob/main/packages/sdk-node/test/methods.spec.ts") |
| [https://github.com/looker-open-source/sdk-codegen/blob/main/packages/sdk-node/test/methods.spec.ts](https://github.com/looker-open-source/sdk-codegen/blob/main/packages/sdk-node/test/methods.spec.ts#L707 "https://github.com/looker-open-source/sdk-codegen/blob/main/packages/sdk-node/test/methods.spec.ts") |
| [https://github.com/looker-open-source/sdk-codegen/blob/main/packages/sdk-node/test/sdk.apispec.ts](https://github.com/looker-open-source/sdk-codegen/blob/main/packages/sdk-node/test/sdk.apispec.ts#L639 "https://github.com/looker-open-source/sdk-codegen/blob/main/packages/sdk-node/test/sdk.apispec.ts") |
| [https://github.com/looker-open-source/sdk-codegen/blob/main/packages/sdk-node/test/sdk.apispec.ts](https://github.com/looker-open-source/sdk-codegen/blob/main/packages/sdk-node/test/sdk.apispec.ts#L645 "https://github.com/looker-open-source/sdk-codegen/blob/main/packages/sdk-node/test/sdk.apispec.ts") |

### Kotlin


|---|
| [https://github.com/looker-open-source/sdk-codegen/blob/main/kotlin/src/test/TestAsync.kt](https://github.com/looker-open-source/sdk-codegen/blob/main/kotlin/src/test/TestAsync.kt#L20 "https://github.com/looker-open-source/sdk-codegen/blob/main/kotlin/src/test/TestAsync.kt") |
| [https://github.com/looker-open-source/sdk-codegen/blob/main/kotlin/src/test/TestMethods.kt](https://github.com/looker-open-source/sdk-codegen/blob/main/kotlin/src/test/TestMethods.kt#L92 "https://github.com/looker-open-source/sdk-codegen/blob/main/kotlin/src/test/TestMethods.kt") |
| [https://github.com/looker-open-source/sdk-codegen/blob/main/kotlin/src/test/TestMethods.kt](https://github.com/looker-open-source/sdk-codegen/blob/main/kotlin/src/test/TestMethods.kt#L284 "https://github.com/looker-open-source/sdk-codegen/blob/main/kotlin/src/test/TestMethods.kt") |